name: YUANDI_TYPE-602A-T3
description: connector, USB-C, receptacle, 6-pin, SMD only
datasheet: https://datasheet.lcsc.com/lcsc/2106070011_Yuandi-TYPE-602A-T3_C2689836.pdf
distributor: LCSC C2689836

pinout:
  A:
    CC1: A5
  B:
    CC2: B5
  GND: A12, B12
  VBUS: A9, B9
  SHIELD: S1, S2, S3, S4

properties:
  power: VBUS
  ground: GND
  bidir: CC1, CC2
  passive: SHIELD

schematic:
  symbol: connector
  left: A
  right: B
  top: VBUS
  bottom: GND, SHIELD

housing:
  pattern: custom
  bodyWidth: 8.94
  bodyLength: 6.8
  height: 3.16

  numbers: B12, A12
  padWidth: 0.8
  padHeight: 1.4
  pitch: 5.5
  rowCount: 1
  columnCount: 2
  rowDX: 0
  rowDY: -3.0 # 6.8/2-2.8-4.3+1.4/2

  numbers1: B9, A9
  padWidth1: 0.8
  padHeight1: 1.4
  pitch1: 3.04
  rowCount1: 1
  columnCount1: 2
  rowDX1: 0
  rowDY1: -3.0 # 6.8/2-2.8-4.3+1.4/2

  numbers2: A5, B5
  padWidth2: 0.8
  padHeight2: 1.4
  pitch2: 1.0
  rowCount2: 1
  columnCount2: 2
  rowDX2: 0
  rowDY2: -3.0 # 6.8/2-2.8-4.3+1.4/2

  numbers3: S1, S2
  padWidth3: 1.95
  padHeight3: 1.2
  pitch3: 9.89
  rowCount3: 1
  columnCount3: 2
  rowDX3: 0
  rowDY3: -3.0 # 6.8/2-2.8-3.6

  numbers4: S3, S4
  padWidth4: 1.95
  padHeight4: 1.6
  pitch4: 9.89
  rowCount4: 1
  columnCount4: 2
  rowDX4: 0
  rowDY4: 0.6 # 6.8/2-2.8
